Comment 4 for bug 1068404

I can confirm the same issue is happening here. Obviously trying to use the 8.x drivers would not help because they do not support the new version of xorg.